#include <configs/platform-auto.h>

/* PREBOOT */
#define CONFIG_PREBOOT  "echo U-BOOT for ${hostname};setenv preboot; echo; dhcp"

/* Extra U-Boot Env settings */
#define CONFIG_EXTRA_ENV_SETTINGS \
    SERIAL_MULTI \
    CONSOLE_ARG \
    PSSERIAL0 \
    "nc=setenv stdout nc;setenv stdin nc;\0" \
    "ethaddr=00:0a:35:00:22:01\0" \
    "sdboot=echo boot Petalinux; mmcinfo && fatload mmc 0 ${netstart} ${kernel_img} && bootm \0" \
    "autoload=no\0" \
    "clobstart=0x01000000\0" \
    "netstart=0x04000000\0" \
    "dtbnetstart=0x02800000\0" \
    "loadaddr=0x01000000\0" \
    "boot_img=BOOT.BIN\0" \
    "boot_offset=0x00000000\0" \
    "boot_size=0x01000000\0" \
    "kernel_img=image.ub\0" \
    "kernel_offset=0x01000000\0" \
    "kernel_size=0x01000000\0" \
    "dtb_img=system.dtb\0" \
    "load_boot=tftpboot ${clobstart} ${boot_img}\0" \
    "update_boot=setenv img boot; setenv psize ${bootsize}; setenv installcmd \"install_boot\"; run load_boot ${installcmd}; setenv img; setenv psize; setenv installcmd\0" \
    "install_boot=mmcinfo && fatwrite mmc 0 ${clobstart} ${boot_img} ${filesize}\0" \
    "bootenv_size=0x20000\0" \
    "bootenv_offset=0x40000\0" \
    "eraseenv=sf probe 0 && sf erase ${bootenv_offset} ${bootenv_size}\0" \
    "load_kernel=tftpboot ${clobstart} ${kernel_img}\0" \
    "update_kernel=setenv img kernel; setenv psize ${kernelsize}; setenv installcmd \"install_kernel\"; run load_kernel ${installcmd}; setenv img; setenv psize; setenv installcmd\0" \
    "install_kernel=mmcinfo && fatwrite mmc 0 ${clobstart} ${kernel_img} ${filesize}\0" \
    "cp_kernel2ram=mmcinfo && fatload mmc 0 ${netstart} ${kernel_img}\0" \
	"sd_boot=echo; echo Boot from SD Card; echo; mmcinfo && fatload mmc 0 ${netstart} ${kernel_img}\0" \
	"sf_boot=echo; echo Boot from QSPI; echo; sf probe 0 && sf read ${netstart} ${kernel_offset} ${kernel_size}\0" \
    "update_sf=echo Reflashing QSPI from SD... && " \
        "mmcinfo && fatload mmc 0 ${netstart} ${boot_img} && sf probe 0 && sf erase ${boot_offset} ${boot_size} && sf write ${netstart} ${boot_offset} ${filesize} && " \
        "fatload mmc 0 ${netstart} ${kernel_img} && sf erase ${kernel_offset} ${kernel_size} && sf write ${netstart} ${kernel_offset} ${filesize}\0" \
    "netboot=tftpboot ${netstart} ${kernel_img} && bootm\0" \
    "default_bootcmd=if mmcinfo; then run sd_boot; else run sf_boot; fi; bootm ${netstart}\0" \
""


