# create hardware platform description
set pfm [sdsoc::create_pfm ${TE::VPROJ_NAME}_hw.pfm]
sdsoc::pfm_name        $pfm "trenz.biz" "xd" "${TE::VPROJ_NAME}" "1.0"
sdsoc::pfm_description $pfm "UltraScale+ MPSoC TE0808 Board"

# define clock ports
sdsoc::pfm_clock       $pfm pl_clk0 ps_e 0 true proc_sys_reset_0

# define AXI ports
sdsoc::pfm_axi_port    $pfm M_AXI_HPM0_FPD ps_e M_AXI_GP
sdsoc::pfm_axi_port    $pfm M_AXI_HPM1_FPD ps_e M_AXI_GP
sdsoc::pfm_axi_port    $pfm M_AXI_HPM0_LPD ps_e M_AXI_GP
sdsoc::pfm_axi_port    $pfm S_AXI_HP0_FPD  ps_e S_AXI_HP
sdsoc::pfm_axi_port    $pfm S_AXI_HP1_FPD  ps_e S_AXI_HP
sdsoc::pfm_axi_port    $pfm S_AXI_HP2_FPD  ps_e S_AXI_HP
sdsoc::pfm_axi_port    $pfm S_AXI_HP3_FPD  ps_e S_AXI_HP

# define interrupt ports
for {set i 1} {$i < 8} {incr i} {
  sdsoc::pfm_irq       $pfm In$i xlconcat_0
}

# generate hardware platform
sdsoc::generate_hw_pfm $pfm
